Bug 235819 - Missing Dependency (gnome-themes)
Missing Dependency (gnome-themes)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
http://nigelj.com/screenshots/missing...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 07:39 EDT by Nigel Jones
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.18.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-11 06:19:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2007-04-10 07:39:39 EDT
+++ This bug was initially created as a clone of Bug #235617 +++

Description of problem:
On a KDE install, (one that still installs evolution, rhythmbox, totem etc),
gnome-themes isn't installed, which causes a majority of icons in the above
mentioned programs to appear as red X's, (see screenshot in URL field).

Version-Release number of selected component (if applicable):
evolution-2.8.3-2.fc6
totem-2.16.5-1.fc6
rhythmbox-0.9.8-1.fc6
(I realise that this bug is assigned to evolution, but I'm hoping I can after
submission include the others, or have the bug report passed around the other
packages)

How reproducible:
Easy I'd say...

Steps to Reproduce:
1. Install FC6
2. Choose KDE instead of Gnome
3. Start up totem
  
Actual results:

Red crosses for most icons per screenshot (in the screenshot's case it does not
show the problem in totem, but there is one or two icons in the menus that have
similar behavior)

Expected results:


Additional info:

Installing gnome-themes fills the red X's with actual icons, so should be a
dependancy
Comment 1 Bastien Nocera 2007-04-11 06:19:15 EDT
The only missing icon I can see is the "Take screenshot" icon, which isn't such
a big deal.
Comment 2 Nigel Jones 2007-04-11 06:53:15 EDT
Actually, there are three icons that are missing without gnome-themes.

Movie->Play Disk = Appears as a file icon with red cross (like in the screenshot
with the other two packages)
Movie->Recent Files = Appears blank, doesn't look out of place
Movie->Take Screenshot = Ditto

I think the little effort required to add the Dependency is worth it (even if it
isn't pushed in until the next bug fix update.

If all the icons didn't show up at all when gnome-themes wasn't installed, then
I'd totally agree with "isn't such a big deal."
Comment 3 Bastien Nocera 2007-04-11 07:33:27 EDT
It's not really the effort required (I already fixed this for rhythmbox), I just
didn't want to add an unnecessary dependency, that's all.

Fixed in totem-2.18.1-2 in rawhide

Note You need to log in before you can comment on or make changes to this bug.